"""
empty message

Revision ID: 0c8f5ee70f28
Revises: 400b5caccf66
Create Date: 2023-11-11 17:56:26.372886

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "0c8f5ee70f28"
down_revision: str | None = "400b5caccf66"
branch_labels: str | None = None
depends_on: str | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("account", schema=None) as batch_op:
        batch_op.add_column(sa.Column("game_edition", sa.String(), nullable=False))

    with op.batch_alter_table("profile", schema=None) as batch_op:
        batch_op.create_unique_constraint(
            batch_op.f("uq_profile_account_id"),
            ["account_id"],
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("profile", schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f("uq_profile_account_id"), type_="unique")

    with op.batch_alter_table("account", schema=None) as batch_op:
        batch_op.drop_column("game_edition")

    # ### end Alembic commands ###
